Subject: Re: bug#15403: https://bugzilla.gnome.org/show_bug.cgi?id=701638 automake 1.13 changes causing regressions tests

From: Stefano Lattarini <[email-masked]>
Date: Tue, 29 Oct 2013 00:40:24 +0000

tags 15403 notabug
close 15403
thanks

On 09/17/2013 07:39 PM, Stefan Sauer wrote:
> hi,
Hi Stefan, sorry for the delay.

> https://bugzilla.gnome.org/show_bug.cgi?id=701638 has the details.
> """
> Since Automake 1.13 (which is entering many distributions), tests are
> executed in parallel by default. For tests run in parallel, Automake
> grabs the output and results of the test and outputs it to two new
> files, with a .log and .trs extension. It creates the
> filenames based on the test name, which in the case of GTKDOC_CHECK is
> the absolute path to the gtkdoc-check binary. This is generally
> $(prefix)/bin and not writable by the user. This leads to errors when
> running the gtk-doc check when using Automake 1.13 or above:
> fatal: making test-suite.log: failed to create
> /some-path/bin/gtkdoc-check.trs
> fatal: making test-suite.log: failed to create
> /some-path/bin/gtkdoc-check.log
> """
> We have a generic sanity check that we run over the data files in the
> project. The data files are passed via TESTS_ENVIRONMENT:
> https://git.gnome.org/browse/gtk-doc/tree/examples/Makefile.am#n99
> 
> We'll probably go with the hack proposed in the patch. Please let us
> know it there is a better way to handle this.
>
FWIW, I personally would have proposed the exact workaround you
ended up using.  Simple and painless.  I hope it is working well
for you now.

I'm closing this bug report to avoid keeping our tracker overly
cluttered.

Regards,
  Stefano